# Orientation

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the orientation of controls or elements of controls.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum Orientation : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum Orientation As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name           | Description                                      |
| -------------- | ------------------------------------------------ |
| **Horizontal** | The control or element is oriented horizontally. |
| **Vertical**   | The control or element is oriented vertically.   |

## Used By

| Name                                                                                                                                                           | Description                                                                                                                                                                                                                                         |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [BindingNavigator.Orientation](/api/wisej.web/data-binding/wisej.web.bindingnavigator.md#orientation)                                                          | Returns or sets a value indicating the horizontal or vertical orientation of the [BindingNavigator](/api/wisej.web/data-binding/wisej.web.bindingnavigator.md) control.                                                                             |
| [Control.LayoutChildren](/api/wisej.web/general/control.md#layoutchildren-dock-spacing-usemargins-halign-valign)                                               | Arranges all the child [Control](/api/wisej.web/general/control.md) in the specified *direction* , spaced by *spacing* pixels.                                                                                                                      |
| [ListBox.Orientation](/api/wisej.web/lists-and-grids/listbox.md#orientation)                                                                                   | <p>Returns or sets whether the list box displays the items vertically (default) or horizontally.<br><mark style="color:blue;background-color:green;">Since 3.1</mark></p>                                                                           |
| [HScrollBar.Orientation](/api/wisej.web/content/scrollbar/wisej.web.hscrollbar.md#orientation)                                                                 | Returns the orientation of the scrollbar control.                                                                                                                                                                                                   |
| [VScrollBar.Orientation](/api/wisej.web/content/scrollbar/wisej.web.vscrollbar.md#orientation)                                                                 | Returns the orientation of the scrollbar control.                                                                                                                                                                                                   |
| [ScrollBar.Orientation](/api/wisej.web/content/scrollbar.md#orientation)                                                                                       | Returns the orientation of the scrollbar control.                                                                                                                                                                                                   |
| [SplitContainer.Orientation](/api/wisej.web/containers/splitcontainer.md#orientation)                                                                          | Returns or sets a value indicating the horizontal or vertical orientation of the [SplitContainer](/api/wisej.web/containers/splitcontainer.md) panels.                                                                                              |
| [TabControl.Orientation](/api/wisej.web/containers/tabcontrol.md#orientation)                                                                                  | Returns or sets a value indicating the horizontal or vertical orientation of the [TabControl](/api/wisej.web/containers/tabcontrol.md) tabs.                                                                                                        |
| [TrackBar.Orientation](/api/wisej.web/editors/wisej.web.trackbar.md#orientation)                                                                               | Returns or sets a value indicating the horizontal or vertical orientation of the track bar.                                                                                                                                                         |
| [Line.Orientation](/api/wisej.web/content/wisej.web.line.md#orientation)                                                                                       | Returns or sets a value indicating the horizontal or vertical orientation of the [Line](/api/wisej.web/content/wisej.web.line.md) control.                                                                                                          |
| [SlideBar.Orientation](/api/wisej.web/containers/wisej.web.slidebar.md#orientation)                                                                            | Returns or sets the [Orientation](/api/wisej.web/enumerations/wisej.web.orientation.md) of the [SlideBar](/api/wisej.web/containers/wisej.web.slidebar.md) control.                                                                                 |
| [SplitButton.Orientation](/api/wisej.web/buttons/wisej.web.splitbutton.md#orientation)                                                                         | Returns or sets a value indicating the layout of the [SplitButton](/api/wisej.web/buttons/wisej.web.splitbutton.md). When the value is set to [Vertical](#fields) the down arrow is places below the text, otherwise it's to the right of the text. |
| [MdiTabProperties.Orientation](/api/wisej.web/containers/form/wisej.web.mditabproperties.md#orientation)                                                       | Returns or sets a value indicating the horizontal or vertical orientation of the [TabControl](/api/wisej.web/containers/tabcontrol.md) tab pages.                                                                                                   |
| [ButtonExtensions.Orientation](/api/wisej.web.markup/extensions/wisej.web.markup.buttonextensions.md#orientation-button-orientation)                           | Sets the Orientation property of the specified [SplitButton](/api/wisej.web/buttons/wisej.web.splitbutton.md).                                                                                                                                      |
| [LineExtensions.Orientation](/api/wisej.web.markup/extensions/wisej.web.markup.lineextensions.md#orientation-line-orientation)                                 | Sets the Orientation property of the specified [Line](/api/wisej.web/content/wisej.web.line.md).                                                                                                                                                    |
| [TrackBarExtensions.Orientation](/api/wisej.web.markup/extensions/wisej.web.markup.trackbarextensions.md#orientation-trackbar-orientation)                     | Sets the orientation of the specified track bar.                                                                                                                                                                                                    |
| [SplitterControlExtensions.Orientation](/api/wisej.web.markup/extensions/wisej.web.markup.splittercontrolextensions.md#orientation-splitcontainer-orientation) | Sets the Orientation property of the specified [SplitContainer](/api/wisej.web/containers/splitcontainer.md).                                                                                                                                       |
| [ListBoxExtensions.Orientation](/api/wisej.web.markup/extensions/wisej.web.markup.listboxextensions.md#orientation-listbox-orientation)                        | Sets the Orientation property of the specified [ListBox](/api/wisej.web/lists-and-grids/listbox.md).                                                                                                                                                |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.orientation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
